## mx4j.remote.rmi
Class Marshaller

    java.lang.Object
      mx4j.remote.rmi.Marshaller

public class Marshaller
extends java.lang.Object

IMPORTANT: see `RMIMarshaller`

Version:
  $Revision: 1.3 $

Constructor Summary
`Marshaller()`

Method Summary
`static java.lang.Object` `unmarshal(java.rmi.MarshalledObject obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Marshaller

    public Marshaller()

Method Detail

### unmarshal

    public static java.lang.Object unmarshal(java.rmi.MarshalledObject obj)
                                      throws java.io.IOException,
                                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.